ZPOOL-IOSTAT-VIZ(1)

NAME
zpool-iostat-viz - Display ZFS pool latency histogram

SYNOPSIS
zpool-iostat-viz [-d, --diff] [--by d|m] [-f file, --from-file file] [--pt palette, --pal-time palette] [--pc palette, --pal-count palette] [--digits] [--symbols] [--help-colors] [parts ...]

DESCRIPTION
The zpool-iostat-viz command displays ZFS pool latency information in a more intuitive format than the zpool(8) command invoked as “zpool -r”. Latency information is displayed in a matrix with shorter latency times at the top, longer times at the bottom, and columns for the selected pools or devices the pools consist of.

--by d|m
    Slice data by device (--by d) or by measurement (--by m). Use the left and right arrow keys on your keyboard to select one of the available screens.

-d, --diff
    Show histogram for 3 seconds intervals instead of counts cumulated over the run-time of the program. The sampling period can be adjusted with the up and down arrow keys.

--digits
    Use “.0123456789#” as histogram values.

--from-file file
    Read values from a file containing the output of:
        zpool iostat -wvHp

--help-colors
    List the available color palettes for the --pc and --pt options.

--pt palette, --pal-time palette
    Select a color palette for the display of time buckets.

--pc palette, --pal-count palette
    Select a color palette for the display of bucket populationss.

--symbols
    Use “ .:;*#” as histogram values.

parts
    Select parts or vdevs to display. By default, all devices (including cache and ZIL devices), the logical elements the pools consists of (mirror, raidz1, ...) and all pools are displayed.

EXIT STATUS
The zpool-iostat-viz program always returns an exit status of 0.

EXAMPLES
The following is an example of a typical usage of the zpool-iostat-viz command:

    zpool-iostats-viz -d

    zpool-iostats-viz --by d --symbols tank

SEE ALSO
zpool(8)

AUTHORS
The zpool-iostat-viz program was written by Chad Miller <chad@cornsilk.net>.